*,
*::after,
*::before {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  font-family: 'Vend Sans', sans-serif;
  line-height: 1.5em;
}

:root {
  --bg-color: #220d3e;
  --bg-color2: #3e0d3d;
  --bg-color-dark: #1b0b2f;
  --text-color: white;
  --accent: #e69a3d;
  --accent-secondary: #a594f9;

  --bg-anim-duration: 15s
}

@font-face {
  font-family: "Vend Sans";
  src: url("../font/Vend_Sans/VendSans-VariableFont_wght.ttf");
}

/* ====================================== */

/* #region GENERAL CLASSES */

html {
  scroll-behavior: smooth;
}

body {
  background-color: var(--bg-color);
  background: linear-gradient(134deg, var(--bg-color), var(--bg-color2));
  background-size: 400% 400%;
  -webkit-animation: BackgroundAnimation var(--bg-anim-duration) ease infinite;
  -moz-animation: BackgroundAnimation var(--bg-anim-duration) ease infinite;
  animation: BackgroundAnimation var(--bg-anim-duration) ease infinite;
}

header,
main,
footer {
  color: var(--text-color);
}

main {
  max-width: 1200px;
  margin-left: auto;
  margin-right: auto;
  padding: 3em;
}

h1 {
  margin-top: 0.6em;
  text-align: center;
  font-size: 2.3em;
}

.collapsible {
  width: 100%;
  text-align: center;
  color: var(--text-color);
  font-size: 1.6em;
  font-weight: bold;
  margin-top: 1.3em;
  background-color: transparent;
  cursor: pointer;
  border: none;
  outline: none;
}

.collapsible::before,
.collapsible::after {
  background-color: var(--text-color);
  content: "";
  display: inline-block;
  height: 1px;
  position: relative;
  vertical-align: middle;
  width: 25vw;
  max-width: 10em;
}

.collapsible::before {
  right: 0.5em;
  margin-left: -50%;
}

.collapsible::after {
  left: 0.5em;
  margin-right: -50%;
}

@media screen and (max-width: 768px) {

  .collapsible::before,
  .collapsible::after {
    width: 15vw;
  }
}


.collapse-content {
  max-height: 0;
  overflow: hidden;
  transition: max-height 0.2s ease-out;
}

main>p {
  text-align: center;
  font-size: 1.3em;
  margin-bottom: 1em;
}

a {
  color: var(--accent);
  text-underline-offset: 4px;
  text-decoration-thickness: 1px;
}

/* #endregion GENERAL CLASSES */

/* ====================================== */

/* #region HEADER */

header {
  padding-top: 3em;
}

#p-img-container {
  text-align: center;
}

#p-img {
  border-radius: 50%;
  height: 10em;
}

/* #endregion HEADER */

/* ====================================== */

/* #region MAIN */

.card-container {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around;
}

.card {
  display: flex;
  flex-direction: column;
  width: 45%;
  min-width: 30em;
  margin: 2em 1em 0;
  border: var(--accent-secondary) solid 2px;
  border-radius: 10px;
  padding: 0.5em 1em;
  background-color: var(--bg-color-dark);
  box-shadow: 5px 5px 5px 0px var(--bg-color-dark);
}

.card h3 {
  text-align: center;
  font-size: 1.5em;
}

.card .label-container {
  text-align: center;
  margin: 0.5em 0;
}

.label {
  font-family: monospace;
  margin: 0 0.2em;
  padding: 0.3em 0.8em;
  border: 2px solid var(--accent);
  border-radius: 1em;
}

.card .desc {
  margin-top: 0.5em;
  margin-bottom: 0.5em;
  text-align: justify;
  flex-grow: 1;
}

.card .info,
.info .ref,
.info .date {
  margin-top: 0.3em;
}

.card .ref {
  text-align: right;
}

.card .ref:last-of-type {
  float: right;
}

.card .date {
  float: left;
}

/* #endregion MAIN */

/* ====================================== */

/* #region FOOTER */

footer {
  background-color: var(--bg-color-dark);
  margin-top: 2em;
  padding: 0.8em;
  text-align: center;
}

/* #endregion FOOTER */

/* ====================================== */

@-webkit-keyframes BackgroundAnimation {
  0% {
    background-position: 0% 50%
  }

  50% {
    background-position: 100% 50%
  }

  100% {
    background-position: 0% 50%
  }
}

@-moz-keyframes BackgroundAnimation {
  0% {
    background-position: 0% 50%
  }

  50% {
    background-position: 100% 50%
  }

  100% {
    background-position: 0% 50%
  }
}

@keyframes BackgroundAnimation {
  0% {
    background-position: 0% 50%
  }

  50% {
    background-position: 100% 50%
  }

  100% {
    background-position: 0% 50%
  }
}

@supports selector(::-webkit-scrollbar) {
  ::-webkit-scrollbar {
    width: 10px;
  }

  ::-webkit-scrollbar-track {
    background: var(--bg-color-dark);
  }

  ::-webkit-scrollbar-thumb {
    background-color: var(--accent-secondary);
    border-radius: 20px;
    border: 3px solid var(--bg-color-dark);
  }

  ::-webkit-scrollbar-button:single-button {
    background-color: var(--bg-color-dark);
    display: block;
    border-style: solid;
    height: 13px;
    width: 16px;
  }

  ::-webkit-scrollbar-button:single-button:vertical:decrement {
    border-width: 0 6px 6px 6px;
    border-color: transparent transparent var(--accent-secondary) transparent;
  }

  ::-webkit-scrollbar-button:single-button:vertical:decrement:hover {
    border-color: transparent transparent var(--accent-secondary) transparent;
  }

  ::-webkit-scrollbar-button:single-button:vertical:increment {
    border-width: 6px 6px 0 6px;
    border-color: var(--accent-secondary) transparent transparent transparent;
  }

  ::-webkit-scrollbar-button:vertical:single-button:increment:hover {
    border-color: var(--accent-secondary) transparent transparent transparent;
  }
}

@supports not selector(::-webkit-scrollbar) {
  * {
    scrollbar-color: var(--accent) transparent;
    scrollbar-width: thin;
  }
}